Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class QualityImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.units.QualityImpl

public class QualityImpl
extends BelongingImpl
implements Quality

Represents a Quality that can be had or desired. It contains a string which describes the quality and a factor ( typically from 1 to 100 ) that describes the degree to which the product posesses the quality or the desirablility of the quality.

See Also:
  `Quality`, `QualityHome`, Serialized Form

Field Summary
`int` | `degree` degree [Quality] <*>------> [`int`]
`java.lang.String` | `name` name [Quality] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`QualityImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`int` | `getDegree()` Get the value of degree
`java.lang.String` | `getName()` Get the value of name
`void` | `setDegree(int degree)` Set the value of degree
`void` | `setName(java.lang.String name)` Set the value of name
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

                        name
       [Quality] <*>------> [String]

### degree

    public int degree

                        degree
       [Quality] <*>------> [int]

Constructor Detail

### QualityImpl

    public QualityImpl()

Method Detail

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface Quality
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface Quality
  Parameters:
    `name` - name to be added

### getDegree

    public int getDegree()

  Get the value of degree
  Specified by:
    getDegree in interface Quality
  Returns:
    degree.

### setDegree

    public void setDegree(int degree)

  Set the value of degree
  Specified by:
    setDegree in interface Quality
  Parameters:
    `degree` - degree to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.